function J = Jacobiana(x);
%
% Calcula o valor da matriz Jacobiana J(x) de F(x).
%
% Input:  vector x com n componentes.
%
% Output: matriz n-por-n J = J(x).
%
% L. N. Vicente, Setembro de 2004.
%
%J(1,1) = 1;      J(1,2) = 1;
%J(2,1) = 2*x(1); J(2,2) = 2*x(2);
J(1,1) = 2*x(1);      J(1,2) = 2*x(2);
J(2,1) = 10*x(1);     J(2,2) = -2*x(2);
%
% Fim de Jacobiana.